"use client";
import {
  useScrollShadow
} from "./chunk-VSHGTFJ6.mjs";

// src/scroll-shadow.tsx
import { forwardRef } from "@fluidui-org/system";
import { jsx } from "react/jsx-runtime";
var ScrollShadow = forwardRef((props, ref) => {
  const { Component, children, getBaseProps } = useScrollShadow({ ...props, ref });
  return /* @__PURE__ */ jsx(Component, { ...getBaseProps(), children });
});
ScrollShadow.displayName = "HeroUI.ScrollShadow";
var scroll_shadow_default = ScrollShadow;

export {
  scroll_shadow_default
};
